Index: tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order1.at
===================================================================
--- tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order1.at	(revision c9db50416501589af2b7bec9760cc6129d4b6fe3)
+++ tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order1.at	(revision 2cb77c2ea89ddde7cf8251e67ae8abf0a42baa4c)
@@ -33,5 +33,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 1 --distance $DISTANCE --DoCyclesFull 1  --output-types mpqc pcp pdb], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file --correct-bonddegree --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 1 --distance $DISTANCE --DoCyclesFull 1  --output-types mpqc pcp pdb], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | awk '{print $1}'], 0, [stdout], [ignore])
 AT_CHECK([test $FragNo == `cat stdout`], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order2.at
===================================================================
--- tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order2.at	(revision c9db50416501589af2b7bec9760cc6129d4b6fe3)
+++ tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order2.at	(revision 2cb77c2ea89ddde7cf8251e67ae8abf0a42baa4c)
@@ -33,5 +33,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 2 --distance $DISTANCE --DoCyclesFull 1  --output-types mpqc pcp pdb], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file --correct-bonddegree --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 2 --distance $DISTANCE --DoCyclesFull 1  --output-types mpqc pcp pdb], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | awk '{print $1}'], 0, [stdout], [ignore])
 AT_CHECK([test $FragNo == `cat stdout`], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order3.at
===================================================================
--- tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order3.at	(revision c9db50416501589af2b7bec9760cc6129d4b6fe3)
+++ tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order3.at	(revision 2cb77c2ea89ddde7cf8251e67ae8abf0a42baa4c)
@@ -33,5 +33,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 3 --distance $DISTANCE --DoCyclesFull 1  --output-types mpqc pcp pdb], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file --correct-bonddegree --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 3 --distance $DISTANCE --DoCyclesFull 1  --output-types mpqc pcp pdb], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | awk '{print $1}'], 0, [stdout], [ignore])
 AT_CHECK([test $FragNo == `cat stdout`], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order4.at
===================================================================
--- tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order4.at	(revision c9db50416501589af2b7bec9760cc6129d4b6fe3)
+++ tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order4.at	(revision 2cb77c2ea89ddde7cf8251e67ae8abf0a42baa4c)
@@ -33,5 +33,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 4 --distance $DISTANCE --DoCyclesFull 1  --output-types mpqc pcp pdb], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file --correct-bonddegree --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 4 --distance $DISTANCE --DoCyclesFull 1  --output-types mpqc pcp pdb], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | awk '{print $1}'], 0, [stdout], [ignore])
 AT_CHECK([test $FragNo == `cat stdout`], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order5.at
===================================================================
--- tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order5.at	(revision c9db50416501589af2b7bec9760cc6129d4b6fe3)
+++ tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order5.at	(revision 2cb77c2ea89ddde7cf8251e67ae8abf0a42baa4c)
@@ -33,5 +33,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 5 --distance $DISTANCE --DoCyclesFull 1  --output-types mpqc pcp pdb], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file --correct-bonddegree --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 5 --distance $DISTANCE --DoCyclesFull 1  --output-types mpqc pcp pdb], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | awk '{print $1}'], 0, [stdout], [ignore])
 AT_CHECK([test $FragNo == `cat stdout`], 0, [ignore], [ignore])
Index: tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order6.at
===================================================================
--- tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order6.at	(revision c9db50416501589af2b7bec9760cc6129d4b6fe3)
+++ tests/Fragmentations/Fragmenting/phenanthrene/testsuite-fragmenting-phenanthrene-order6.at	(revision 2cb77c2ea89ddde7cf8251e67ae8abf0a42baa4c)
@@ -33,5 +33,5 @@
 AT_CHECK([chmod u+w $file], 0)
 
-AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 6 --distance $DISTANCE --DoCyclesFull 1  --output-types mpqc pcp pdb], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file --correct-bonddegree --select-molecule-by-id 0 --select-molecules-atoms -f $FILENAME --order 6 --distance $DISTANCE --DoCyclesFull 1  --output-types mpqc pcp pdb], 0, [stdout], [stderr])
 AT_CHECK([ls ${FILENAME}*.conf | wc -l | awk '{print $1}'], 0, [stdout], [ignore])
 AT_CHECK([test $FragNo == `cat stdout`], 0, [ignore], [ignore])
